Summary:       C library and tools for interacting with linux GPIO char device
Name:          libgpiod
Version:       1.6.3
Release:       4%{?dist}
License:       LGPLv2+
URL:           https://git.kernel.org/pub/scm/libs/libgpiod/libgpiod.git/
Source0:       https://mirrors.edge.kernel.org/pub/software/libs/%{name}/%{name}-%{version}.tar.xz

BuildRequires: make gcc gcc-c++ libstdc++-devel
BuildRequires: automake autoconf autoconf-archive libtool
BuildRequires: kernel-headers systemd-devel kmod-devel
BuildRequires: python3-devel python3-setuptools
BuildRequires: doxygen

%description
This package provides a C library and tools for interacting with the linux GPIO character 
device (gpiod stands for GPIO device).

%package utils
Summary: Utilities for GPIO
Requires: %{name} = %{version}-%{release}

%description utils
This package provides utilities for interacting with GPIO character devices.

%package c++
Summary: C++ bindings for %{name}
Requires: %{name} = %{version}-%{release}

%description c++
This package provides C++ bindings for use with %{name}.

%package -n python3-%{name}
Summary: Python 3 bindings for %{name}
Requires: %{name} = %{version}-%{release}
Provides: python3-%{name} = %{version}-%{release}

%description -n python3-%{name}
This package provides python 3 bindings for development with %{name}.

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}
Requires: %{name}-c++ = %{version}-%{release}
Requires: python3-%{name} = %{version}-%{release}

%description devel
This package provides files for development with %{name}.

%prep
%autosetup -n %{name}-%{version}

%build
autoreconf -vif
%configure --enable-tools=yes --disable-static \
           --enable-bindings-cxx --enable-bindings-python

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%license COPYING
%doc README
%{_libdir}/%{name}.so.*

%files utils
%{_bindir}/gpio*

%files c++
%{_libdir}/libgpiodcxx.so.*

%files -n python3-%{name}
%{python3_sitearch}/gpiod.so

%files devel
%{_includedir}/gpiod.*
%{_libdir}/pkgconfig/libgpiod*.pc
%{_libdir}/%{name}*.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 23 2022 Wang Guodong <gordonwwang@tencent.com> - 1.6.3-1
- package init.
